Apache won't start after upgrade to 1.8

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Apache won't start after upgrade to 1.8

Postby zsmed » 14. July 2012 20:44

I get the following error when I start xampp:
Starting XAMPP for Linux 1.8.0...
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Error 1! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.


Following the directions I did tail -2 /opt/lampp/logs/error_log and this is what is in the error log:

root@linchris11:/opt/lampp# tail -2 /opt/lampp/logs/error_log
httpd: Syntax error on line 58 of /opt/lampp/etc/httpd.conf: Cannot load /opt/lampp/modules/mod_authn_default.so into server: /opt/lampp/modules/mod_authn_default.so: undefined symbol: ap_log_rerror
httpd: Syntax error on line 58 of /opt/lampp/etc/httpd.conf: Cannot load /opt/lampp/modules/mod_authn_default.so into server: /opt/lampp/modules/mod_authn_default.so: undefined symbol: ap_log_rerror

Looking at the upgrade directory I noticed that this file was not included, should it of been?
zsmed
 
Posts: 1
Joined: 14. July 2012 20:41
XAMPP Version: 5.6.3
Operating System: Ubuntu 12.4

Re: Apache won't start after upgrade to 1.8

Postby JonB » 15. July 2012 18:21

That module is no longer part of Apache 2.4.2

http://fossies.org/unix/www/httpd-2.4.2 ... ng.html.en

Look for:
Compile-Time Configuration Changes

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Apache won't start after upgrade to 1.8

Postby mad-proffessor » 20. July 2012 18:24

Any luck on this? I am facing the exact same issue. If i just copy over to the old http.conf the load modules section on top would i be on the safe side?
I am also facing problems with upgrading mysql. Are all the tables gone? Can i use an old backup of mine from 1.7.7?
mad-proffessor
 
Posts: 4
Joined: 17. November 2011 13:32
XAMPP Version: 5.6.3
Operating System: linux

Re: Apache won't start after upgrade to 1.8

Postby JonB » 21. July 2012 01:06

For now, I can say you can't expect configuration files from prior version of Apache or PHP on XAMPP to work in two areas -

The mod_auth group of modules for Apache and Error Reporting for PHP.

Reason - both Apache and PHP had 'major' version changes. i.e 2.4.2 for Apache and PHP 5.4.4

MySQL does not seem to be a problem area.

I have posted a sticky about Apache and PHP changes on the XAMMP Windows English forum - it is slightly specific to Windows, but the migration issues for configurations are basically the same. The How to Upgrade is/will be quite different

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Apache won't start after upgrade to 1.8

Postby mad-proffessor » 23. July 2012 14:01

Everything is running fine as it should (apache,php,mysql) after a line-to-line copying from php-1.8.0 to .php.ini and http-1.8.0.conf to httpd.conf. All the mysql dbs and tables are present, it was an issue with my password. But to recompile my dynamic extensions with php's pear/pecl should i just install the xampp devel package and uninstall the extensions? Is everything going to be ok? Thanx for replying.
mad-proffessor
 
Posts: 4
Joined: 17. November 2011 13:32
XAMPP Version: 5.6.3
Operating System: linux

Re: Apache won't start after upgrade to 1.8

Postby JonB » 23. July 2012 18:17

Why do you think you need to compile your Modules?

The lampp upgrade process 'should' have fixed all the Apache modules (.so) however I need to research this. The upgrade was a 'diff' process, which is an incremental change engine.

At the moment - my converted VM's seem to be working correctly (and I have one live server, also converted.), however I don't know the full answer.

Have you checked your /modules/*.so files against a Full DL of 1.8.0?

I will do some research and ask questions
Edited -

OK - I have now checked two VM's and Dl'ed full versions of both 1.7.7 & 1.8.0 clean. I checked my converted 1.7.7 to 1.8.0 VM, and the file sizes and dates are the same as the full version of 1.8.0 - OTHER than modules with the same File size and md5 as the prior version (for instance mod_apreq2.so 15748b May 8). This indicates the diff engine worked correctly. I also have looked at the dates in my 1.7.7 unconverted VM, and they agree with the clean DL.

Did you use the xampp-upgrade/start 'method'?

Code: Select all
[root@localhost lampp]# cd xampp-upgrade
[root@localhost xampp-upgrade]# ls -l
total 54672
-rw-r--r--. 1 root root    17984 Jul 15 12:25 COPYING
-rw-r--r--. 1 root root 55890814 Jul 15 12:25 data.tar.gz
drwxr-xr-x. 2 root root     4096 Jul 15 12:25 diffs
-rwxr-xr-x. 1 root root    58688 Jul 15 12:25 patch
-rwxr-xr-x. 1 root root     3201 Jul 15 12:25 start
[root@localhost xampp-upgrade]# cd ..
[root@localhost lampp]# xampp-upgrade/start
Stopping XAMPP for Linux 1.7.7...
XAMPP: Stopping Apache with SSL...
XAMPP: Stopping MySQL...
XAMPP: Stopping ProFTPD...
XAMPP stopped.

Upgrading 1.7.7 to 1.8.0...
Installing new files...
Upgrading existing files...
patching file `lampp/etc/extra/httpd-userdir.conf'
...


I also had to run a MySQL upgrade - the 'start' script prompted me to do that as well.

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 7 guests